testing::TestInfo Class Reference

`#include <gtest.h>`

## Public Member Functions

| ~TestInfo ()
const char * | test_suite_name () const
const char * | test_case_name () const
const char * | name () const
const char * | type_param () const
const char * | value_param () const
const char * | file () const
int | line () const
bool | is_in_another_shard () const
bool | should_run () const
bool | is_reportable () const
const TestResult * | result () const

## Friends

class | Test
class | TestSuite
class | internal::UnitTestImpl
class | internal::StreamingListenerTest
TestInfo * | internal::MakeAndRegisterTestInfo (const char *test_suite_name, const char *name, const char *type_param, const char *value_param, internal::CodeLocation code_location, internal::TypeId fixture_class_id, internal::SetUpTestSuiteFunc set_up_tc, internal::TearDownTestSuiteFunc tear_down_tc, internal::TestFactoryBase *factory)

## Detailed Description

Definition at line 15294 of file gtest.h.

## Constructor & Destructor Documentation

## ~TestInfo()

testing::TestInfo::~TestInfo | ( |  | ) |

## Member Function Documentation

## file()

const char* testing::TestInfo::file | ( |  | ) | const

inline

Definition at line 15326 of file gtest.h.

## is_in_another_shard()

bool testing::TestInfo::is_in_another_shard | ( |  | ) | const

inline

Definition at line 15332 of file gtest.h.

## is_reportable()

bool testing::TestInfo::is_reportable | ( |  | ) | const

inline

Definition at line 15353 of file gtest.h.

## line()

int testing::TestInfo::line | ( |  | ) | const

inline

Definition at line 15329 of file gtest.h.

## name()

const char* testing::TestInfo::name | ( |  | ) | const

inline

Definition at line 15309 of file gtest.h.

## result()

const TestResult* testing::TestInfo::result | ( |  | ) | const

inline

Definition at line 15360 of file gtest.h.

## should_run()

bool testing::TestInfo::should_run | ( |  | ) | const

inline

Definition at line 15350 of file gtest.h.

## test_case_name()

const char* testing::TestInfo::test_case_name | ( |  | ) | const

inline

Definition at line 15305 of file gtest.h.

## test_suite_name()

const char* testing::TestInfo::test_suite_name | ( |  | ) | const

inline

Definition at line 15301 of file gtest.h.

## type_param()

const char* testing::TestInfo::type_param | ( |  | ) | const

inline

Definition at line 15313 of file gtest.h.

## value_param()

const char* testing::TestInfo::value_param | ( |  | ) | const

inline

Definition at line 15320 of file gtest.h.

## Friends And Related Function Documentation

## internal::MakeAndRegisterTestInfo

TestInfo* internal::MakeAndRegisterTestInfo | ( | const char * | test_suite_name,
|  | const char * | name,
|  | const char * | type_param,
|  | const char * | value_param,
|  | internal::CodeLocation | code_location,
|  | internal::TypeId | fixture_class_id,
|  | internal::SetUpTestSuiteFunc | set_up_tc,
|  | internal::TearDownTestSuiteFunc | tear_down_tc,
|  | internal::TestFactoryBase * | factory
| ) |  |

friend

## internal::StreamingListenerTest

friend class internal::StreamingListenerTest

friend

Definition at line 15369 of file gtest.h.

## internal::UnitTestImpl

friend class internal::UnitTestImpl

friend

Definition at line 15368 of file gtest.h.

## Test

friend class Test

friend

Definition at line 15366 of file gtest.h.

## TestSuite

friend class TestSuite

friend

Definition at line 15367 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h